picard

## Class PicardException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - picard.PicardException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    AnnotationException, CommandLineParseException, CommandLineParserDefinitionException

      public class PicardException
      extends RuntimeException

  Basic Picard runtime exception that, for now, does nothing much
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PicardException(String message)`
    `PicardException(String message, Throwable throwable)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PicardException

          public PicardException(String message)

    - #### PicardException

          public PicardException(String message,
                                 Throwable throwable)